"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class FileType(object):
    """
    This defines a file This Record is defined by the sampleID and a URI
    Currently SampleID can be a single String or an array of strings
    if multiple samples are associated with the same file
    """

    BAM = "BAM"
    gVCF = "gVCF"
    VCF_small = "VCF_small"
    VCF_CNV = "VCF_CNV"
    VCF_SV = "VCF_SV"
    VCF_SV_CNV = "VCF_SV_CNV"
    SVG = "SVG"
    TIER = "TIER"
    ANN = "ANN"
    BigWig = "BigWig"

    def __hash__(self):
        return str(self).__hash__()

    @classmethod
    def _namespace_version(cls):
        return "2.1.0"
